Skip to main content
GET
/
v2
/
attributes
/
import
/
{import_id}
Get attribute import status
curl --request GET \
  --url https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'domain: <domain>'
{
  "import_id": "e2716438-b763-4be8-82d2-36abe0cb92b1",
  "name": "attribute_test.csv",
  "status": "COMPLETED",
  "total_rows": 36,
  "processed_rows": 36,
  "created_count": 35,
  "updated_count": 0,
  "skipped_count": 0,
  "failed_count": 1,
  "input_filename": "attribute_test.csv",
  "input_file_url": "https://example.com/input.csv",
  "error_file_url": "https://example.com/errors.csv",
  "error_message": null,
  "errors": [
    "Row 35: invalid data_type 'BOOLREAN'"
  ],
  "started_at": "2026-03-12T18:04:03.998437Z",
  "completed_at": "2026-03-12T18:04:04.724584Z",
  "created_at": "2026-03-12T18:04:03.879876Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

domain
string
required

The brand domain or brand identifier used to scope the request to a specific brand’s data and configuration.

Example:

"vessel"

Path Parameters

import_id
string<uuid>
required

Import ID returned from POST /v2/attributes/import.

Example:

"e2716438-b763-4be8-82d2-36abe0cb92b1"

Response

Import status

import_id
string<uuid>
required
status
string
required
Example:

"COMPLETED"

total_rows
integer
required
Example:

36

processed_rows
integer
required
Example:

36

created_at
string<date-time>
required
name
string
Example:

"attribute_test.csv"

created_count
integer
Example:

35

updated_count
integer
Example:

0

skipped_count
integer
Example:

0

failed_count
integer
Example:

1

input_filename
string
Example:

"attribute_test.csv"

input_file_url
string<uri> | null
Example:

"https://example.com/input.csv"

error_file_url
string<uri> | null
Example:

"https://example.com/errors.csv"

error_message
string | null
Example:

null

errors
string[]
Example:
["Row 35: invalid data_type 'BOOLREAN'"]
started_at
string<date-time> | null
completed_at
string<date-time> | null